From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/poco/
Date: Sun, 18 Dec 2022 04:20:23 +0000 (UTC) [thread overview]
Message-ID: <1671336088.d294ec27fc083a99ae9c6d2140d4bb368f09dc6d.sam@gentoo> (raw)
commit: d294ec27fc083a99ae9c6d2140d4bb368f09dc6d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 18 04:01:18 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 04:01:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d294ec27
dev-libs/poco: add 1.12.4
Note that release notes mention a "security issue" but it's
just about bundled libs.
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/poco/Manifest | 1 +
dev-libs/poco/poco-1.12.4.ebuild | 145 +++++++++++++++++++++++++++++++++++++++
2 files changed, 146 insertions(+)
diff --git a/dev-libs/poco/Manifest b/dev-libs/poco/Manifest
index 8767155dec9b..be9006b70e27 100644
--- a/dev-libs/poco/Manifest
+++ b/dev-libs/poco/Manifest
@@ -1,3 +1,4 @@
DIST poco-1.10.1.tar.gz 10224204 BLAKE2B 644bb2134c571e10b63937ca15b3f5d7255767bcc99dd6b6107a13d64ed7ac83d499d74f04084c666bbf5ef6f033d57d2fb1de0b8b8487844e3aaf8cefe6fba8 SHA512 40aa8049c68651f461280937c1c733e13d1cedbec12bc44a7f3a6c131d31229c5445067052441427071f6102fd1965d238b2222c0689279dd156b4e261ac9e73
DIST poco-1.11.2.tar.gz 10935312 BLAKE2B 66b4cdb6cb4b5dd4f5f0eee744e1d147d66e98561ec4286ed09693b638d565fbf084c3e40eff3f6a9a88cff167b1d774da08e8c8424986aefe13d029a540afe2 SHA512 3f9e46dbfb0a85f19389b269725cb6272172d993d8239f13da8110c0c6ce9ed2b6595708d5dba91a027292c74358c87da988e22587a74011e84707816a6a277c
DIST poco-1.12.2.tar.gz 11268579 BLAKE2B fe23216884d1effb7e93072c5e90d5eabf813c6cf0326af5c4b6d3646d54e5411966485e97d50960df97cd545b3a265eb4b43c1cb041ff97b4457f53f6bd06bc SHA512 86b6b106e9a677397c73139e949a65925e78611cad478fc4206a6a7365613307fc1549b1160faf6ca8f02fb7f7ae58858c3913cb701111b7cbb5ffcbe5363bb3
+DIST poco-1.12.4.tar.gz 11296139 BLAKE2B 45e1214616e78041d5ca512cee46621c006fe21f51231f3261dc40ca4941eb3cd4e52db493aa826779784f9d3f35cfd08e3e9d08fb35ebec2d610fb6528c635a SHA512 730700a24b5a00d44aa85914e7d3c9eff76969a123a67315ba5e9b2d18c0ace70d2664d8a611496851f497aa4985d36685a67813a95e814461ae0fffdb460d91
diff --git a/dev-libs/poco/poco-1.12.4.ebuild b/dev-libs/poco/poco-1.12.4.ebuild
new file mode 100644
index 000000000000..596b7ffa8933
--- /dev/null
+++ b/dev-libs/poco/poco-1.12.4.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="C++ libraries for building network-based applications"
+HOMEPAGE="https://pocoproject.org/"
+SRC_URI="https://github.com/pocoproject/${PN}/archive/${P}-release.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${P}-release"
+
+LICENSE="Boost-1.0"
+# SHARED_LIBRARY_VERSION -> "${S}"/libversion
+SLOT="0/94"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="7z activerecord cppparser +data examples +file2pagecompiler iodbc +json jwt mariadb +mongodb mysql +net odbc +pagecompiler pdf pocodoc postgres prometheus sqlite +ssl test +util +xml +zip"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ 7z? ( xml )
+ file2pagecompiler? ( pagecompiler )
+ iodbc? ( odbc )
+ jwt? ( json ssl )
+ mongodb? ( data )
+ mysql? ( data )
+ odbc? ( data )
+ postgres? ( data )
+ pagecompiler? ( json net util xml )
+ pocodoc? ( cppparser util xml )
+ sqlite? ( data )
+ ssl? ( util )
+ test? ( data? ( sqlite ) json util xml )
+"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+ >=dev-libs/libpcre2-10.40
+ activerecord? ( !app-arch/arc )
+ mysql? ( dev-db/mysql-connector-c:= )
+ mariadb? ( dev-db/mariadb-connector-c:= )
+ postgres? ( dev-db/postgresql:= )
+ odbc? (
+ iodbc? ( dev-db/libiodbc )
+ !iodbc? ( dev-db/unixODBC )
+ )
+ sqlite? ( dev-db/sqlite:3 )
+ ssl? (
+ dev-libs/openssl:=
+ )
+ xml? ( dev-libs/expat )
+ zip? ( sys-libs/zlib:= )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-1.10.1-iodbc-incdir.patch" )
+
+src_prepare() {
+ cmake_src_prepare
+
+ if [[ ${SLOT} != 0/$(< "${S}"/libversion) ]] ; then
+ die "Please update subslot in ebuild to the version in ${S}/libversion!"
+ fi
+
+ if use test ; then
+ # ignore missing tests on experimental library
+ # and tests requiring running DB-servers, internet connections, etc.
+ sed -i -e '/testsuite/d' \
+ {Data/{MySQL,ODBC},MongoDB,Net,NetSSL_OpenSSL,PDF,Redis}/CMakeLists.txt || die
+ # Poco expands ~ using passwd, which does not match $HOME in the build environment
+ sed -i -e '/CppUnit_addTest.*testExpand/d' \
+ Foundation/testsuite/src/PathTest.cpp || die
+ # ignore failing Crypto test since upstream does not seem to care,
+ # see https://github.com/pocoproject/poco/issues/1209
+ sed -i -e '/RSATest, testRSACipherLarge/d' \
+ Crypto/testsuite/src/RSATest.cpp || die
+ fi
+
+ # Fix MariaDB and MySQL detection
+ sed -i -e 's~/usr/include/mysql~~' \
+ -e 's/mysqlclient_r/mysqlclient/' \
+ -e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
+ cmake/FindMySQL.cmake || die
+
+ # Add missing directory that breaks the build
+ mkdir -p Encodings/testsuite/data || die
+
+ if ! use iodbc ; then
+ sed -i -e 's|iodbc||' cmake/FindODBC.cmake || die
+ fi
+}
+
+src_configure() {
+ # apache support is dead and buggy, https://github.com/pocoproject/poco/issues/1764
+ local mycmakeargs=(
+ -DPOCO_UNBUNDLED=ON
+ -DENABLE_APACHECONNECTOR=OFF
+ -DENABLE_ACTIVERECORD="$(usex activerecord)"
+ -DENABLE_ACTIVERECORD_COMPILER="$(usex activerecord)"
+ -DENABLE_CPPPARSER="$(usex cppparser)"
+ -DENABLE_CRYPTO="$(usex ssl)"
+ -DENABLE_DATA="$(usex data)"
+ -DENABLE_DATA_MYSQL="$(usex mysql)"
+ -DENABLE_DATA_ODBC="$(usex odbc)"
+ -DENABLE_DATA_POSTGRESQL="$(usex postgres)"
+ -DENABLE_DATA_SQLITE="$(usex sqlite)"
+ -DENABLE_JSON="$(usex util)"
+ -DENABLE_JWT="$(usex jwt)"
+ -DENABLE_MONGODB="$(usex mongodb)"
+ -DENABLE_NET="$(usex net)"
+ -DENABLE_NETSSL="$(usex ssl)"
+ -DENABLE_NETSSL_WIN=OFF
+ -DENABLE_PAGECOMPILER="$(usex pagecompiler)"
+ -DENABLE_PAGECOMPILER_FILE2PAGE="$(usex file2pagecompiler)"
+ -DENABLE_PDF="$(usex pdf)"
+ -DENABLE_POCODOC="$(usex pocodoc)"
+ -DENABLE_PROMETHEUS="$(usex prometheus)"
+ -DENABLE_SEVENZIP="$(usex 7z)"
+ -DENABLE_TESTS="$(usex test)"
+ -DENABLE_UTIL="$(usex util)"
+ -DENABLE_XML="$(usex xml)"
+ -DENABLE_ZIP="$(usex zip)"
+ )
+
+ cmake_src_configure
+}
+
+src_test() {
+ POCO_BASE="${S}" cmake_src_test -E DataPostgreSQL
+}
+
+src_install() {
+ cmake_src_install
+
+ if use examples ; then
+ for sd in */samples ; do
+ docinto examples/${sd%/samples}
+ dodoc -r ${sd}
+ done
+
+ find "${D}/usr/share/doc/${PF}/examples" \
+ -iname "*.sln" -or -iname "*.vcproj" -or \
+ -iname "*.vmsbuild" -or -iname "*.properties" \
+ | xargs rm -v || die
+ fi
+}
next reply other threads:[~2022-12-18 4:20 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-18 4:20 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 19:39 [gentoo-commits] repo/gentoo:master commit in: dev-libs/poco/ Jakov Smolić
2025-02-13 17:51 Sam James
2025-02-13 17:51 Sam James
2025-02-13 17:51 Sam James
2025-02-13 17:51 Sam James
2025-02-13 13:48 Sam James
2025-02-13 13:48 Sam James
2025-01-03 16:41 Joonas Niilola
2025-01-03 16:41 Joonas Niilola
2024-06-11 17:58 Sam James
2024-06-11 17:58 Sam James
2024-06-11 17:18 Sam James
2024-06-11 17:18 Sam James
2024-06-11 16:54 Sam James
2024-05-10 6:20 Arthur Zamarin
2024-05-10 6:20 Arthur Zamarin
2024-05-10 6:20 Arthur Zamarin
2024-01-15 3:32 Ionen Wolkens
2023-12-14 4:15 Sam James
2023-10-05 14:33 Joonas Niilola
2023-08-15 12:17 Joonas Niilola
2023-07-26 5:16 Joonas Niilola
2023-07-26 5:16 Joonas Niilola
2023-07-25 18:14 Arthur Zamarin
2022-12-24 8:59 Andreas Sturmlechner
2022-12-18 4:20 Sam James
2022-11-15 8:46 Sam James
2022-11-15 8:46 Sam James
2022-11-15 8:46 Sam James
2022-10-25 18:48 Arthur Zamarin
2022-10-25 18:48 Arthur Zamarin
2022-10-24 7:12 Joonas Niilola
2022-10-12 19:22 Sam James
2022-10-10 13:18 Joonas Niilola
2022-10-10 13:18 Joonas Niilola
2022-09-05 14:36 Jakov Smolić
2022-06-23 9:23 Joonas Niilola
2022-06-23 9:23 Joonas Niilola
2022-05-10 19:53 Florian Schmaus
2022-05-06 7:47 Sam James
2022-02-14 20:45 Sam James
2022-02-14 0:55 Sam James
2021-10-10 23:17 Sam James
2021-06-03 22:52 Sam James
2021-06-02 19:01 Sam James
2021-05-02 15:38 Mikle Kolyada
2020-11-24 3:47 Sam James
2019-10-11 18:28 Andreas Sturmlechner
2019-10-10 18:57 Andreas Sturmlechner
2019-07-17 13:59 Agostino Sarubbo
2019-07-16 10:21 Hans de Graaff
2019-07-16 10:21 Hans de Graaff
2019-04-07 21:45 Mikle Kolyada
2019-03-24 10:01 Agostino Sarubbo
2019-03-23 12:25 Pacho Ramos
2019-03-23 12:25 Pacho Ramos
2019-02-10 3:00 Brian Evans
2019-01-07 19:15 Lars Wendler
2018-11-22 23:16 Michał Górny
2018-06-23 21:55 Aaron Bauman
2018-06-15 20:01 Vladimir Smirnov
2018-04-13 23:22 Aaron Bauman
2015-10-05 8:45 Julian Ospald
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1671336088.d294ec27fc083a99ae9c6d2140d4bb368f09dc6d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox